org.omg.CORBA_2_3.portable

## Class Delegate

- java.lang.Object
- - org.omg.CORBA.portable.Delegate
  - - org.omg.CORBA_2_3.portable.Delegate

    public abstract class Delegate
    extends Delegate

Delegate class provides the ORB vendor specific implementation of CORBA object. It extends org.omg.CORBA.portable.Delegate and provides new methods that were defined by CORBA 2.3.

Since:
  JDK1.2
See Also:
  `Delegate`

### Constructor Summary

Constructors
Constructor and Description
`Delegate()`

### Method Summary

Methods
`String` `get_codebase(Object self)` Returns the codebase for object reference provided.

### Methods inherited from class org.omg.CORBA.portable.Delegate

`create_request, create_request, duplicate, equals, get_domain_managers, get_interface_def, get_policy, hash, hashCode, invoke, is_a, is_equivalent, is_local, non_existent, orb, release, releaseReply, request, request, servant_postinvoke, servant_preinvoke, set_policy_override, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Delegate

    public Delegate()

### Method Detail

#### get_codebase

    public String get_codebase(Object self)

Returns the codebase for object reference provided.

Parameters:
  `self` - the object reference whose codebase needs to be returned.
Returns:
  the codebase as a space delimited list of url strings or null if none.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.